### Virtual Method

# Gtk IMContext filter_keypress

#### Declaration [src]

    gboolean
    filter_keypress (
      GtkIMContext* context,
      GdkEvent* event
    )

#### Description [src]

Allow an input method to internally handle key press and release events.

If this function returns `TRUE`, then no further processing should be done for this key event.

#### Parameters

`event` | `GdkEvent*`
| The key event.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if the input method handled the key event.